# class toResultLabel | This widget displays the result of a query where each item in the stream is added to a label separated by an optional string. More...
Definition | `#include <toresultlabel.h>`
Inherits | QLabel (qt) [public ], toResult [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultLabel (QWidget *parent,const char *name=NULL)
- ~toResultLabel ()
- virtual void query (const QString &sql,const toQList ¶m)
- virtual bool canHandle (toConnection &)
- const QString & separator (void) const
- void setSeparator (const QString &sep)
- void setSQL (const QString &sql)
- void setSQL (toSQL &sql)
- void query (const QString &sql)
- void query (toSQL &sql)

#### Public Slots

- virtual void refresh (void)
- virtual void changeParams (const QString &Param1)
- virtual void changeParams (const QString &Param1,const QString &Param2)
- virtual void changeParams (const QString &Param1,const QString &Param2,const QString &Param3)

## Detailed Description

This widget displays the result of a query where each item in the stream is added to a label separated by an optional string.

toResultLabel (QWidget *parent,const char *name=NULL) | ### toResultLabel

Create the widget.

Parameters:

parent | Parent widget.
name | Name of widget.

~toResultLabel () | ### ~toResultLabel

Destruct object

void query (const QString &sql,const toQList ¶m) | ### query

[virtual]

Reimplemented for internal reasons.

Reimplemented from toResult.

bool canHandle (toConnection &) | ### canHandle

[virtual]

Handle any connection by default

Reimplemented from toResult.

const QString & separator (void) | ### separator

[const]

Get separator string to use between result.

void setSeparator (const QString &sep) | ### setSeparator

Set separator string to use between result.

void setSQL (const QString &sql) | ### setSQL

Set the SQL statement of this list

Parameters:

sql | String containing statement.

Reimplemented from toResult.

void setSQL (toSQL &sql) | ### setSQL

Set the SQL statement of this list. This will also affect Name.

Parameters:

sql | SQL containing statement.

Reimplemented from toResult.

void query (const QString &sql) | ### query

Set new SQL and run query.

Parameters:

sql | New sql.

See also: setSQL

Reimplemented from toResult.

void query (toSQL &sql) | ### query

Set new SQL and run query.

Parameters:

sql | New sql.

See also: setSQL

Reimplemented from toResult.

void refresh (void) | ### refresh

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1) | ### changeParams

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1,const QString &Param2) | ### changeParams

[virtual slot]

Reimplemented For internal reasons.

Reimplemented from toResult.

void changeParams (const QString &Param1,const QString &Param2,const QString &Param3) | ### changeParams

[virtual slot]

Reimplemented for internal reasons.

Reimplemented from toResult.